ShlObj (JNA API)

com.sun.jna.platform.win32

## Interface ShlObj

-     public interface ShlObj

  Ported from ShlObj.h. Microsoft Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ShlObj.KNOWN_FOLDER_FLAG` KnownFolder flags as used by SHGetKnownFolderPath, SHGetKnownFolderIDList and others.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CSIDL_ADMINTOOLS`
    `static int` | `CSIDL_ALTSTARTUP`
    `static int` | `CSIDL_APPDATA`
    `static int` | `CSIDL_BITBUCKET`
    `static int` | `CSIDL_CDBURN_AREA`
    `static int` | `CSIDL_COMMON_ADMINTOOLS`
    `static int` | `CSIDL_COMMON_ALTSTARTUP`
    `static int` | `CSIDL_COMMON_APPDATA`
    `static int` | `CSIDL_COMMON_DESKTOPDIRECTORY`
    `static int` | `CSIDL_COMMON_DOCUMENTS`
    `static int` | `CSIDL_COMMON_FAVORITES`
    `static int` | `CSIDL_COMMON_MUSIC`
    `static int` | `CSIDL_COMMON_OEM_LINKS`
    `static int` | `CSIDL_COMMON_PICTURES`
    `static int` | `CSIDL_COMMON_PROGRAMS`
    `static int` | `CSIDL_COMMON_STARTMENU`
    `static int` | `CSIDL_COMMON_STARTUP`
    `static int` | `CSIDL_COMMON_TEMPLATES`
    `static int` | `CSIDL_COMMON_VIDEO`
    `static int` | `CSIDL_COMPUTERSNEARME`
    `static int` | `CSIDL_CONNECTIONS`
    `static int` | `CSIDL_CONTROLS`
    `static int` | `CSIDL_COOKIES`
    `static int` | `CSIDL_DESKTOP`
    `static int` | `CSIDL_DESKTOPDIRECTORY`
    `static int` | `CSIDL_DRIVES`
    `static int` | `CSIDL_FAVORITES`
    `static int` | `CSIDL_FONTS`
    `static int` | `CSIDL_HISTORY`
    `static int` | `CSIDL_INTERNET`
    `static int` | `CSIDL_INTERNET_CACHE`
    `static int` | `CSIDL_LOCAL_APPDATA`
    `static int` | `CSIDL_MYDOCUMENTS`
    `static int` | `CSIDL_MYMUSIC`
    `static int` | `CSIDL_MYPICTURES`
    `static int` | `CSIDL_MYVIDEO`
    `static int` | `CSIDL_NETHOOD`
    `static int` | `CSIDL_NETWORK`
    `static int` | `CSIDL_PERSONAL`
    `static int` | `CSIDL_PRINTERS`
    `static int` | `CSIDL_PRINTHOOD`
    `static int` | `CSIDL_PROFILE`
    `static int` | `CSIDL_PROGRAM_FILES`
    `static int` | `CSIDL_PROGRAM_FILES_COMMON`
    `static int` | `CSIDL_PROGRAM_FILES_COMMONX86`
    `static int` | `CSIDL_PROGRAM_FILESX86`
    `static int` | `CSIDL_PROGRAMS`
    `static int` | `CSIDL_RECENT`
    `static int` | `CSIDL_RESOURCES`
    `static int` | `CSIDL_RESOURCES_LOCALIZED`
    `static int` | `CSIDL_SENDTO`
    `static int` | `CSIDL_STARTMENU`
    `static int` | `CSIDL_STARTUP`
    `static int` | `CSIDL_SYSTEM`
    `static int` | `CSIDL_SYSTEMX86`
    `static int` | `CSIDL_TEMPLATES`
    `static int` | `CSIDL_WINDOWS`
    `static WinDef.DWORD` | `SHGFP_TYPE_CURRENT`
    `static WinDef.DWORD` | `SHGFP_TYPE_DEFAULT`

- - ### Field Detail

    - #### SHGFP_TYPE_CURRENT

          static final WinDef.DWORD SHGFP_TYPE_CURRENT

    - #### SHGFP_TYPE_DEFAULT

          static final WinDef.DWORD SHGFP_TYPE_DEFAULT

    - #### CSIDL_DESKTOP

          static final int CSIDL_DESKTOP

      See Also:
        Constant Field Values

    - #### CSIDL_INTERNET

          static final int CSIDL_INTERNET

      See Also:
        Constant Field Values

    - #### CSIDL_PROGRAMS

          static final int CSIDL_PROGRAMS

      See Also:
        Constant Field Values

    - #### CSIDL_CONTROLS

          static final int CSIDL_CONTROLS

      See Also:
        Constant Field Values

    - #### CSIDL_PRINTERS

          static final int CSIDL_PRINTERS

      See Also:
        Constant Field Values

    - #### CSIDL_PERSONAL

          static final int CSIDL_PERSONAL

      See Also:
        Constant Field Values

    - #### CSIDL_FAVORITES

          static final int CSIDL_FAVORITES

      See Also:
        Constant Field Values

    - #### CSIDL_STARTUP

          static final int CSIDL_STARTUP

      See Also:
        Constant Field Values

    - #### CSIDL_RECENT

          static final int CSIDL_RECENT

      See Also:
        Constant Field Values

    - #### CSIDL_SENDTO

          static final int CSIDL_SENDTO

      See Also:
        Constant Field Values

    - #### CSIDL_BITBUCKET

          static final int CSIDL_BITBUCKET

      See Also:
        Constant Field Values

    - #### CSIDL_STARTMENU

          static final int CSIDL_STARTMENU

      See Also:
        Constant Field Values

    - #### CSIDL_MYDOCUMENTS

          static final int CSIDL_MYDOCUMENTS

      See Also:
        Constant Field Values

    - #### CSIDL_MYMUSIC

          static final int CSIDL_MYMUSIC

      See Also:
        Constant Field Values

    - #### CSIDL_MYVIDEO

          static final int CSIDL_MYVIDEO

      See Also:
        Constant Field Values

    - #### CSIDL_DESKTOPDIRECTORY

          static final int CSIDL_DESKTOPDIRECTORY

      See Also:
        Constant Field Values

    - #### CSIDL_DRIVES

          static final int CSIDL_DRIVES

      See Also:
        Constant Field Values

    - #### CSIDL_NETWORK

          static final int CSIDL_NETWORK

      See Also:
        Constant Field Values

    - #### CSIDL_NETHOOD

          static final int CSIDL_NETHOOD

      See Also:
        Constant Field Values

    - #### CSIDL_FONTS

          static final int CSIDL_FONTS

      See Also:
        Constant Field Values

    - #### CSIDL_TEMPLATES

          static final int CSIDL_TEMPLATES

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_STARTMENU

          static final int CSIDL_COMMON_STARTMENU

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_PROGRAMS

          static final int CSIDL_COMMON_PROGRAMS

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_STARTUP

          static final int CSIDL_COMMON_STARTUP

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_DESKTOPDIRECTORY

          static final int CSIDL_COMMON_DESKTOPDIRECTORY

      See Also:
        Constant Field Values

    - #### CSIDL_APPDATA

          static final int CSIDL_APPDATA

      See Also:
        Constant Field Values

    - #### CSIDL_PRINTHOOD

          static final int CSIDL_PRINTHOOD

      See Also:
        Constant Field Values

    - #### CSIDL_LOCAL_APPDATA

          static final int CSIDL_LOCAL_APPDATA

      See Also:
        Constant Field Values

    - #### CSIDL_ALTSTARTUP

          static final int CSIDL_ALTSTARTUP

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_ALTSTARTUP

          static final int CSIDL_COMMON_ALTSTARTUP

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_FAVORITES

          static final int CSIDL_COMMON_FAVORITES

      See Also:
        Constant Field Values

    - #### CSIDL_INTERNET_CACHE

          static final int CSIDL_INTERNET_CACHE

      See Also:
        Constant Field Values

    - #### CSIDL_COOKIES

          static final int CSIDL_COOKIES

      See Also:
        Constant Field Values

    - #### CSIDL_HISTORY

          static final int CSIDL_HISTORY

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_APPDATA

          static final int CSIDL_COMMON_APPDATA

      See Also:
        Constant Field Values

    - #### CSIDL_WINDOWS

          static final int CSIDL_WINDOWS

      See Also:
        Constant Field Values

    - #### CSIDL_SYSTEM

          static final int CSIDL_SYSTEM

      See Also:
        Constant Field Values

    - #### CSIDL_PROGRAM_FILES

          static final int CSIDL_PROGRAM_FILES

      See Also:
        Constant Field Values

    - #### CSIDL_MYPICTURES

          static final int CSIDL_MYPICTURES

      See Also:
        Constant Field Values

    - #### CSIDL_PROFILE

          static final int CSIDL_PROFILE

      See Also:
        Constant Field Values

    - #### CSIDL_SYSTEMX86

          static final int CSIDL_SYSTEMX86

      See Also:
        Constant Field Values

    - #### CSIDL_PROGRAM_FILESX86

          static final int CSIDL_PROGRAM_FILESX86

      See Also:
        Constant Field Values

    - #### CSIDL_PROGRAM_FILES_COMMON

          static final int CSIDL_PROGRAM_FILES_COMMON

      See Also:
        Constant Field Values

    - #### CSIDL_PROGRAM_FILES_COMMONX86

          static final int CSIDL_PROGRAM_FILES_COMMONX86

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_TEMPLATES

          static final int CSIDL_COMMON_TEMPLATES

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_DOCUMENTS

          static final int CSIDL_COMMON_DOCUMENTS

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_ADMINTOOLS

          static final int CSIDL_COMMON_ADMINTOOLS

      See Also:
        Constant Field Values

    - #### CSIDL_ADMINTOOLS

          static final int CSIDL_ADMINTOOLS

      See Also:
        Constant Field Values

    - #### CSIDL_CONNECTIONS

          static final int CSIDL_CONNECTIONS

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_MUSIC

          static final int CSIDL_COMMON_MUSIC

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_PICTURES

          static final int CSIDL_COMMON_PICTURES

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_VIDEO

          static final int CSIDL_COMMON_VIDEO

      See Also:
        Constant Field Values

    - #### CSIDL_RESOURCES

          static final int CSIDL_RESOURCES

      See Also:
        Constant Field Values

    - #### CSIDL_RESOURCES_LOCALIZED

          static final int CSIDL_RESOURCES_LOCALIZED

      See Also:
        Constant Field Values

    - #### CSIDL_COMMON_OEM_LINKS

          static final int CSIDL_COMMON_OEM_LINKS

      See Also:
        Constant Field Values

    - #### CSIDL_CDBURN_AREA

          static final int CSIDL_CDBURN_AREA

      See Also:
        Constant Field Values

    - #### CSIDL_COMPUTERSNEARME

          static final int CSIDL_COMPUTERSNEARME

      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.